Retail Express API 2.1

Get specific fulfilment order by fulfilment id

Get specific fulfilment order by fulfilment id

get
https://api.retailexpress.com.au/v2.1/fulfilment/fulfilmentorders/{id}

Path Parameters

idinteger(int32)required

Fulfilment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Success

Order model.

One Of
get/fulfilment/fulfilmentorders/{id}
 
application/json

inventory

Searches Inventories by parameters

Searches Inventories by parameters

get
https://api.retailexpress.com.au/v2.1/inventory

Query Parameters

sales_channel_idstring | null

Sales Channel Id or Collection of Sales Channel Ids (comma separated)
Example: 14,3,312

skustring | null

Product SKU or Collection of Product SKUs (comma separated)
Example: sku1,sku2,sku3

outlet_idstring | null

Outlet Id or Collection of Outlet Ids (comma separated)
Example: 1,2,3

product_idstring | null

Product Id or Collection of Product Ids (comma separated)
Example: 1,2,3

modified_sincestring | null(date-time)

Modified since search parameter

order_bystring | null

Order by.

Available field name values: modified_on, allocated, available, stock_on_hand, faulty, on_order, picked, received, requested,
transit_in, transit_out, last_sold_on, last_fulfiled_on, msl

Available direction values: asc, desc.

Example: modified_on asc, allocated desc, msl asc

filter_bystring | null

Filter by.
Available field name values: modified_on, allocated, available, stock_on_hand, faulty, on_order, picked, received, requested,
transit_in, transit_out, last_sold_on, last_fulfiled_on, sales_channel_id, outlet_id, product_id, sku, msl

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: product_id:eq:2, last_sold_on:isnotnull, stock_on_hand:gte:0, msl:gte:100

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Inventories data

Inventory.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Inventory view model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/inventory
 
application/json

inventorymovementlogs

Gets specific Inventory Movement Log by unique id

Gets specific Inventory Movement Log by unique id

get
https://api.retailexpress.com.au/v2.1/inventorymovementlogs/{id}

Path Parameters

idinteger(int32)required

Inventory Movement Log id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Inventory Movement Log

InventoryMovementLogs

Inventory Movement Logs model

* Additional properties are NOT allowed.
idinteger | null(int32)

Inventory Movement Logs identifier

created_onstring(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
productobject

Inventory Movement Logs model

* Additional properties are NOT allowed.
Show Child Parameters
movement_typestring | null

Source type

originstring | null

Origin

commentstring | null

Comment

reference_idstring | null

Reference id

quantity_availableobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_allocatedobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_pickedobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_in_transit_outboundobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_in_transit_inboundobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_receivedobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_requestedobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_onorderobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_faultyobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_onreturnobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
quantity_sohobject

Inventory Movement Logs Delta model

* Additional properties are NOT allowed.
Show Child Parameters
buy_price_exobject

Inventory Movement Logs Change model

* Additional properties are NOT allowed.
Show Child Parameters
direct_costs_exobject

Inventory Movement Logs Change model

* Additional properties are NOT allowed.
Show Child Parameters
cogs_exobject

Inventory Movement Logs Change model

* Additional properties are NOT allowed.
Show Child Parameters
total_cogs_exobject

Inventory Movement Logs Change model

* Additional properties are NOT allowed.
Show Child Parameters
get/inventorymovementlogs/{id}
 
application/json